Howto: installation on Windows


(David Cato) #289

Thanks! This worked for me as well.


(arunabh) #291

Hi jeremy the following error keeps showing up again and again:

Command “python setup.py egg_info” failed with error code 1 in C:\Users\Arunabh\AppData\Local\Temp\pip-install-u051lea7\pyproj\

I tried everything mentioned in the forums even what @toddprater and @Hisham have mentioned about fiona installation.

Still the above error shows up. Please assist me


#292

Not sure if your error is exactly the same as the one I encountered when installing pyproj.

I solve the problem by installing Build Tools for Visual Studio 2017


#293

Were you able to solve the problem? I’m getting the same error.


#294

Worked for me thanks!


#295

I’m facing the same issue. But when I click on the link it does take me to fastai install directory. Is there any fix for that?


#296

I completed the installation process. But when I go to lesson 1 to run I get the following error -

I get the same error even after running the prompt as an admin. Could you please help me with this?


(Bilal) #297

Windows 10 64bit

When I run the

conda env update

I got the following error:

Any help what is wrong.


#299

I just got past this error. The following worked for me:
conda install shapely

Also, to avoid the next issue be sure to add this to environment.yml as reported by @neeravbm :
- conda-forge::fiona>=1.7.13

Then:
conda env update


#300

Thank you. Worked like a charm for me.


(Akshay Kumar) #301

Capture
Hi,
I am getting this error again and again. I have tried ways mentioned above specifically,

  • adding * conda-forge::fiona>=1.7.13 dependency method
  • conda install shapely method.
    However, none of them worked.
    I am running Win 7 64 bit, Nvidia Quadro P5000.

Please help!


(Nikolay Jamgaryan) #302

Hello, everybody. I’m new to deep learning and at the very beginning I got some problems. I did the steps(1, 2, 3) and during conda env update I got such errors:
Exception:
Traceback (most recent call last):
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_ init .py”, line 2869, in dep_map
return self.
dep_map
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources
init
.py", line 2663, in getattr
raise AttributeError(attr)
AttributeError: _DistInfoDistribution__dep_map

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\packaging\requirements.py”, line 93, in init
req = REQUIREMENT.parseString(requirement_string)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1632, in parseString
raise exc
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1622, in parseString
loc, tokens = self._parse( instring, 0 )
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1379, in _parseNoCache
loc,tokens = self.parseImpl( instring, preloc, doActions )
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 3395, in parseImpl
loc, exprtokens = e._parse( instring, loc, doActions )
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1383, in _parseNoCache
loc,tokens = self.parseImpl( instring, preloc, doActions )
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 3183, in parseImpl
raise ParseException(instring, loc, self.errmsg, self)
pip._vendor.pyparsing.ParseException: Expected stringEnd (at char 33), (line:1, col:34)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_ init _.py”, line 2949, in init
super(Requirement, self). init (requirement_string)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\packaging\requirements.py”, line 97, in init
requirement_string[e.loc:e.loc + 8]))
pip._vendor.packaging.requirements.InvalidRequirement: Invalid requirement, parse error at “’; extra '”

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_internal\basecommand.py”, line 141, in main
status = self.run(options, args)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_internal\commands\install.py”, line 299, in run
resolver.resolve(requirement_set)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_internal\resolve.py”, line 102, in resolve
self.resolve_one(requirement_set, req)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_internal\resolve.py”, line 306, in resolve_one
set(req_to_install.extras) - set(dist.extras)
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources
init
.py", line 2826, in extras
return [dep for dep in self. dep_map if dep]
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_ init
.py”, line 2871, in dep_map
self.
dep_map = self. compute_dependencies()
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_ init
.py”, line 2881, in compute_dependencies
reqs.extend(parse_requirements(req))
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_ init
.py”, line 2942, in parse_requirements
yield Requirement(line)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_ init
.py”, line 2951, in init
raise RequirementParseError(str(e))
pip._vendor.pkg_resources.RequirementParseError: Invalid requirement, parse error at “’; extra '”

I’m running windows 10-x.64 with Cuda 9.0

Could anybody help me with these problems?


#303

i am having the same issue. please let me if you were able to resolve it

I’m running windows 10-x.64 with Cuda 8.0


#304

I was able to get the cpu version set up by commenting the #- conda-forge::jupyter_contrib_nbextensions on environment-cpu.yml file. so somehow it seems like the issue is with the GPU.


#305

I was able to make it work for GPU as well following are some of the steps i did.

  • Installed cuda 9.0 and cudann
  • installed pytorch from https://github.com/peterjc123/pytorch-scripts as i was not able to find windows whl for version less than 0.4
  • installed conda install -c anaconda bcolz
  • Pip install Fastai

Then everything works.


(Curtis) #307

I think I might be closer to getting install. I was getting shapely error. I tried all the upgrade pip/conda and nothing worked. However, I went into Anaconda navigator and added into FastAI env via there. Now I’m erroring on Fiona. I will attempt to resolve it via Navigator environment as well. Visual Studio failed on Fiona with cpl_conv.h not found.

Update
Installing Fiona via Navigator resolved. I was able to complete the conda env update with no errors but listed two incompatibilities.

Going back to conda env update, I have 2 warnings only
I am getting error on batchsampler when trying to import fastai. Resolved it by updating torch but I think I had the right version.

Now erroring on dataclasses. Tried update env. I have two warnings:

pexpect 4.6.0 requires ptyprocess>=0.5, which is not installed.
spacy 2.0.12 has requirement regex==2017.4.5, but you’ll have regex 2018.7.11 which is incompatible.

Updated python.exe -m pip install --upgrade pip

pip install dataclasses

Now erroring on BatchSampler. Not an easy install.


#308

change to symlink to the old fastai …\old\fastai as mentioned here. It seems that changes have been made to make use of pytorch 0.4.1 features but the setup process is still using 0.3.1, hence the errors in importing


(ritika) #309

Hi,
Really great installation instructions.
I tried it and did exactly what was described.in Unfortunately I have a problem to import the libraries:
I get the following error message

Any Idea what might went wrong, or what I should check?

Thanks,
Ritika


(Melvin C) #310

Did you get it to work yet? Getting the same error and unable to fix it.

Or maybe @pverma found a solution?

Would love to run it on my Windows desktop PC so I don’t have to rent a server…


(Akshay Kumar) #311

Hello!

I have successfully created the fastai envionment for this course…
It was very painful, I had been trying for 10 days and the solution was very simple indeed.
The catch is pay attention to the error printed in the cmd and install C++ support packages in your system.
I have tried almost everything but none was working. Once I was done with the C++ stuff, everything went smoothly.

The steps that I followed were:

  1. Install visual studio with workload “Desktop development with C++”. I used Visual Studio 2017.
  2. Follow first 4 steps of Jenemy top post.
  3. add this line to the environment.yml file below the dependencies line
  • conda-forge::fiona>=1.7.13
  1. follow Jeremy 5 to 8 steps.

It will work.

I am using Win 7 64 bit, NVIDIA quadro P5000.